<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: ScintillatorTileConstructor Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>ScintillatorTileConstructor Class Reference</h1><!-- doxytag: class="ScintillatorTileConstructor" -->
<p>a class making it easier and more flexible to create <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> and <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> objects. <b> Additionally, it automatically deals with the registration of the needed physics! </b>  
</p>

<p><a href="classScintillatorTileConstructor-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a8d5caa08f2ad47f9f6d31e722e0a82d3">ScintillatorTileConstructor</a> (G4VModularPhysicsList *userPhysicsList, <a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *propertyTools, G4bool searchOverlaps, int verbose=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#af189ffbb895160921b089052555ed7dc">~ScintillatorTileConstructor</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#ade8534176217cebe16b12b439d9b1e97">ConstructLUTWrapping</a> (<a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *scinti_to_be_wrapped, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, G4SurfaceType surfaceType, G4double roughness, G4VPhysicalVolume *surrounding_volume=0)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a1a45b0fbb9959c346dfc908eb19af6bd">ConstructScintillator</a> (G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre, G4bool twin_tile, G4String twin_tile_property_file)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a6b2547f27faa66dfe2cc9229a55f2585">ConstructScintillator</a> (G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a8168fa75996b2b14fc8b3cd4731565c1">ConstructScintillator</a> (G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a1d7c0583e174986f45a4d705d7fb5383">ConstructScintillator</a> (G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a98ad7dbd568dbf34fd3d07b47acf3223">ConstructScintillator</a> (G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#acdc06d95209dc7469ed5014a9f5e2efe">ConstructScintillator</a> (G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4Wrapping.html">G4Wrapping</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#aa78b823defc2670f3b4b83ae651146de">ConstructWrapping</a> (<a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *scinti_to_be_wrapped, G4VPhysicalVolume *mother_volume, G4String wrapping_property_file, G4String wrapping_name, std::vector&lt; G4VPhysicalVolume * &gt; cut_volumes)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4Wrapping.html">G4Wrapping</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a6d4835b626d7c29dd8c0bd14f3537aa8">ConstructWrapping</a> (<a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *scinti_to_be_wrapped, G4VPhysicalVolume *mother_volume, G4String wrapping_property_file, G4String wrapping_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classG4Wrapping.html">G4Wrapping</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a37bdbf491e26af93a3022317af1f0970">ConstructWrapping</a> (<a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *scinti_to_be_wrapped, G4VPhysicalVolume *mother_volume, G4String wrapping_property_file)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classScintillatorTileDataStorage.html">ScintillatorTileDataStorage</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a8718fd63dc06d3c560e0431f4a0c0004">GetDataStorage</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#af375d56ba9e8bda028ddef15f102ab16">SetOpticalSurfaceProperties</a> (G4OpticalSurfaceModel surface_model, G4OpticalSurfaceFinish surface_finish)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a76dcc80267c1cb201e6e24afc5e76153">SetScintillatorCutDimple</a> (G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#ade639f8d50c190449a7b3c1726e35d6e">SetScintillatorName</a> (G4String scintillator_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#aed8cc75bd60e91bb4faee5a43d85e0d6">SetScintillatorReferenceVolume</a> (G4VPhysicalVolume *reference_volume)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a4000601225db31fb5bf071a61211446f">SetScintillatorTransformation</a> (G4Transform3D transf_relative_to_reference)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#a10676b29d567b23520c51d848e343802">SetScintillatorTwinTile</a> (G4String twin_tile_property_file)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#aea72492753d26758d80f5a44e2887707">SetWrappingCutVolumes</a> (std::vector&lt; G4VPhysicalVolume * &gt; cut_volumes)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#aef91b140feed9a219fa95157b95d176c">SetWrappingName</a> (G4String wrapping_name)</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#aeb007bba730fc24318bd20008e59ac00">applyVolumeCounter</a> (G4String &amp;physical_volume_name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults</a> ()</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8d5caa08f2ad47f9f6d31e722e0a82d3"></a><!-- doxytag: member="ScintillatorTileConstructor::ScintillatorTileConstructor" ref="a8d5caa08f2ad47f9f6d31e722e0a82d3" args="(G4VModularPhysicsList *userPhysicsList, PropertyToolsManager *propertyTools, G4bool searchOverlaps, int verbose=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ScintillatorTileConstructor::ScintillatorTileConstructor </td>
          <td>(</td>
          <td class="paramtype">G4VModularPhysicsList *&nbsp;</td>
          <td class="paramname"> <em>userPhysicsList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *&nbsp;</td>
          <td class="paramname"> <em>propertyTools</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>searchOverlaps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>verbose</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor:</p>
<ul>
<li>sets class variables to default values</li>
<li>creates a data storage object (<a class="el" href="classScintillatorTileDataStorage.html" title="a class to save the data which was taken by the sensitive detector">ScintillatorTileDataStorage</a>)</li>
<li>adds the needed physics processes (specified in <a class="el" href="classScintillatorTilePhysicsList.html" title="a class for the automatic registration of the physics needed for the G4ScintillatorTiles...">ScintillatorTilePhysicsList</a>) to the physics list </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>userPhysicsList</em>&nbsp;</td><td>physics list which is used for the simulation </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>propertyTools</em>&nbsp;</td><td>pointer to the <a class="el" href="classPropertyToolsManager.html" title="a class making the processing of the properties etc. much easier.">PropertyToolsManager</a> that should be used </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>searchOverlaps</em>&nbsp;</td><td>Geant should search for overlaps when placing the physical volumes of <a class="el" href="classG4Fibre.html" title="a class generating the materials, volumes, and optical properties needed for a fibre...">G4Fibre</a>'s ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>verbose</em>&nbsp;</td><td>verbosity level for adding the needed physics processes (specified in <a class="el" href="classFibrePhysicsList.html" title="a class for the automatic registration of the physics needed for the G4Fibres. This...">FibrePhysicsList</a>) to the physics list (default: 0) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af189ffbb895160921b089052555ed7dc"></a><!-- doxytag: member="ScintillatorTileConstructor::~ScintillatorTileConstructor" ref="af189ffbb895160921b089052555ed7dc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ScintillatorTileConstructor::~ScintillatorTileConstructor </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor:</p>
<ul>
<li>deletes the data storage object </li>
</ul>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="aeb007bba730fc24318bd20008e59ac00"></a><!-- doxytag: member="ScintillatorTileConstructor::applyVolumeCounter" ref="aeb007bba730fc24318bd20008e59ac00" args="(G4String &amp;physical_volume_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileConstructor::applyVolumeCounter </td>
          <td>(</td>
          <td class="paramtype">G4String &amp;&nbsp;</td>
          <td class="paramname"> <em>physical_volume_name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function for avoiding multiple volumes with the same name:</p>
<ul>
<li>a string variable containing the name prefix has to be passed to this function</li>
<li>the name prefix will be extended to distinguish between different <a class="el" href="classG4Fibre.html" title="a class generating the materials, volumes, and optical properties needed for a fibre...">G4Fibre</a>s and different volumes of one <a class="el" href="classG4Fibre.html" title="a class generating the materials, volumes, and optical properties needed for a fibre...">G4Fibre</a></li>
<li>the extended name prefix will be passed to the original string variable </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>physical_volume_name</em>&nbsp;</td><td>name which should be used for naming the volumes </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ade8534176217cebe16b12b439d9b1e97"></a><!-- doxytag: member="ScintillatorTileConstructor::ConstructLUTWrapping" ref="ade8534176217cebe16b12b439d9b1e97" args="(G4ScintillatorTile *scinti_to_be_wrapped, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, G4SurfaceType surfaceType, G4double roughness, G4VPhysicalVolume *surrounding_volume=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileConstructor::ConstructLUTWrapping </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td>
          <td class="paramname"> <em>scinti_to_be_wrapped</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4OpticalSurfaceModel&nbsp;</td>
          <td class="paramname"> <em>surface_model</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4OpticalSurfaceFinish&nbsp;</td>
          <td class="paramname"> <em>surface_finish</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4SurfaceType&nbsp;</td>
          <td class="paramname"> <em>surface_type</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>roughness</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>surrounding_volume</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to create a wrapping around a <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> by using the surface properties and Look Up Tables:</p>
<ul>
<li>changes the surface properties (<a class="el" href="classG4Wrapping.html#a4887710b86853396a312169b5faa4e13">G4Wrapping::ConstructLUTWrapping()</a>)</li>
<li>resets the class variables to default values (using <a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults()</a>) </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>scinti_to_be_wrapped</em>&nbsp;</td><td><a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> that should be wrapped with the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surface_model</em>&nbsp;</td><td>model for the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surface_finish</em>&nbsp;</td><td>finish for the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surface_type</em>&nbsp;</td><td>type of the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>roughness</em>&nbsp;</td><td>roughness of the wrapping surface (the parameter defines the standard deviation of the Gaussian distribution of micro-facets' normals around the average surface normal in degree or radian) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surrounding_volume</em>&nbsp;</td><td>volume sharing the surface with the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> that should be wrapped (if 0, the whole <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s surface will be wrapped, otherwise only the shared surface will be wrapped) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1a45b0fbb9959c346dfc908eb19af6bd"></a><!-- doxytag: member="ScintillatorTileConstructor::ConstructScintillator" ref="a1a45b0fbb9959c346dfc908eb19af6bd" args="(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre, G4bool twin_tile, G4String twin_tile_property_file)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> * ScintillatorTileConstructor::ConstructScintillator </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>scintillator_dimensions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_property_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>transf_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>reference_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>cut_dimple</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>dimple_radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>dimple_centre_relative_to_scintillator_centre</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>twin_tile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>twin_tile_property_file</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct a scintillator tile:</p>
<ul>
<li>runs <a class="el" href="classScintillatorTileConstructor.html#aeb007bba730fc24318bd20008e59ac00">applyVolumeCounter()</a> on <em>scintillator_name</em> </li>
<li>creates a new <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> object</li>
<li>resets the class variables to default values (using <a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults()</a>)</li>
</ul>
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the created <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> object </dd></dl>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>scintillator_dimensions</em>&nbsp;</td><td>dimensions of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>scintillator_property_file</em>&nbsp;</td><td>path to the file containing the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s properties </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mother_volume</em>&nbsp;</td><td><a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s mother volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>scintillator_name</em>&nbsp;</td><td>name of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s volume (it will be extended to distinguish between different <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>s and different volumes of one <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>transf_relative_to_reference</em>&nbsp;</td><td><a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s transformation relative to the reference volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>reference_volume</em>&nbsp;</td><td>reference volume relative to which the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> will be orientated (if 0, the mother volume is the reference volume) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>cut_dimple</em>&nbsp;</td><td>a dimple should be cut out out of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dimple_radius</em>&nbsp;</td><td>radius of the dimple </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dimple_centre_relative_to_scintillator_centre</em>&nbsp;</td><td>position of the dimple's centre relative to the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s centre </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>twin_tile</em>&nbsp;</td><td>the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> should be a twin tile ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>twin_tile_property_file</em>&nbsp;</td><td>path to the file containing the properties of the twin tile's reflective layer </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6b2547f27faa66dfe2cc9229a55f2585"></a><!-- doxytag: member="ScintillatorTileConstructor::ConstructScintillator" ref="a6b2547f27faa66dfe2cc9229a55f2585" args="(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a>* ScintillatorTileConstructor::ConstructScintillator </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>scintillator_dimensions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_property_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>transf_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>reference_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>cut_dimple</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>dimple_radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>dimple_centre_relative_to_scintillator_centre</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="a8168fa75996b2b14fc8b3cd4731565c1"></a><!-- doxytag: member="ScintillatorTileConstructor::ConstructScintillator" ref="a8168fa75996b2b14fc8b3cd4731565c1" args="(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a>* ScintillatorTileConstructor::ConstructScintillator </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>scintillator_dimensions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_property_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>transf_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>reference_volume</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="a1d7c0583e174986f45a4d705d7fb5383"></a><!-- doxytag: member="ScintillatorTileConstructor::ConstructScintillator" ref="a1d7c0583e174986f45a4d705d7fb5383" args="(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a>* ScintillatorTileConstructor::ConstructScintillator </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>scintillator_dimensions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_property_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>transf_relative_to_reference</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="a98ad7dbd568dbf34fd3d07b47acf3223"></a><!-- doxytag: member="ScintillatorTileConstructor::ConstructScintillator" ref="a98ad7dbd568dbf34fd3d07b47acf3223" args="(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a>* ScintillatorTileConstructor::ConstructScintillator </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>scintillator_dimensions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_property_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="acdc06d95209dc7469ed5014a9f5e2efe"></a><!-- doxytag: member="ScintillatorTileConstructor::ConstructScintillator" ref="acdc06d95209dc7469ed5014a9f5e2efe" args="(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a>* ScintillatorTileConstructor::ConstructScintillator </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>scintillator_dimensions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_property_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="aa78b823defc2670f3b4b83ae651146de"></a><!-- doxytag: member="ScintillatorTileConstructor::ConstructWrapping" ref="aa78b823defc2670f3b4b83ae651146de" args="(G4ScintillatorTile *scinti_to_be_wrapped, G4VPhysicalVolume *mother_volume, G4String wrapping_property_file, G4String wrapping_name, std::vector&lt; G4VPhysicalVolume * &gt; cut_volumes)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4Wrapping.html">G4Wrapping</a> * ScintillatorTileConstructor::ConstructWrapping </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td>
          <td class="paramname"> <em>scinti_to_be_wrapped</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>wrapping_property_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>wrapping_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::vector&lt; G4VPhysicalVolume * &gt;&nbsp;</td>
          <td class="paramname"> <em>cut_volumes</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct a wrapping volume around a <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>:</p>
<ul>
<li>runs <a class="el" href="classScintillatorTileConstructor.html#aeb007bba730fc24318bd20008e59ac00">applyVolumeCounter()</a> on <em>wrapping_name</em> </li>
<li>creates a new <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object</li>
<li>resets the class variables to default values (using <a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults()</a>)</li>
</ul>
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the created <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object </dd></dl>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>scinti_to_be_wrapped</em>&nbsp;</td><td><a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> that should be wrapped with the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mother_volume</em>&nbsp;</td><td><a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>'s mother volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>wrapping_property_file</em>&nbsp;</td><td>path to the file containing the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>'s properties </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>wrapping_name</em>&nbsp;</td><td>name of the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>'s volume (it will be extended to distinguish between different <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>s and different volumes of one <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>cut_volumes</em>&nbsp;</td><td>volumes that should be cut out of the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a6d4835b626d7c29dd8c0bd14f3537aa8"></a><!-- doxytag: member="ScintillatorTileConstructor::ConstructWrapping" ref="a6d4835b626d7c29dd8c0bd14f3537aa8" args="(G4ScintillatorTile *scinti_to_be_wrapped, G4VPhysicalVolume *mother_volume, G4String wrapping_property_file, G4String wrapping_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4Wrapping.html">G4Wrapping</a>* ScintillatorTileConstructor::ConstructWrapping </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td>
          <td class="paramname"> <em>scinti_to_be_wrapped</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>wrapping_property_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>wrapping_name</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="a37bdbf491e26af93a3022317af1f0970"></a><!-- doxytag: member="ScintillatorTileConstructor::ConstructWrapping" ref="a37bdbf491e26af93a3022317af1f0970" args="(G4ScintillatorTile *scinti_to_be_wrapped, G4VPhysicalVolume *mother_volume, G4String wrapping_property_file)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classG4Wrapping.html">G4Wrapping</a>* ScintillatorTileConstructor::ConstructWrapping </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classG4ScintillatorTile.html">G4ScintillatorTile</a> *&nbsp;</td>
          <td class="paramname"> <em>scinti_to_be_wrapped</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>wrapping_property_file</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. <br/>
</p>
<p>The "missing" argument(s) can be set by the setter functions below, or the default values (<a class="el" href="classScintillatorTileConstructor.html#ad59081bffc744e6c0eefc12e84d36b89">SetDefaults()</a>) are used. </p>

</div>
</div>
<a class="anchor" id="a8718fd63dc06d3c560e0431f4a0c0004"></a><!-- doxytag: member="ScintillatorTileConstructor::GetDataStorage" ref="a8718fd63dc06d3c560e0431f4a0c0004" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classScintillatorTileDataStorage.html">ScintillatorTileDataStorage</a>* ScintillatorTileConstructor::GetDataStorage </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the data storage object (<a class="el" href="classScintillatorTileDataStorage.html" title="a class to save the data which was taken by the sensitive detector">ScintillatorTileDataStorage</a>), that was created by the Constructor (<a class="el" href="classScintillatorTileConstructor.html#a8d5caa08f2ad47f9f6d31e722e0a82d3">ScintillatorTileConstructor()</a>) </dd></dl>

</div>
</div>
<a class="anchor" id="ad59081bffc744e6c0eefc12e84d36b89"></a><!-- doxytag: member="ScintillatorTileConstructor::SetDefaults" ref="ad59081bffc744e6c0eefc12e84d36b89" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileConstructor::SetDefaults </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the class variables to default values: </p>

<p><ul>
<li>model for the optical surfaces <div class="fragment"><pre class="fragment"> SurfaceModel = unified; 
</pre></div></li>
</ul>
<ul>
<li>finish for the optical surfaces <div class="fragment"><pre class="fragment"> SurfaceFinish = ground; 
</pre></div></li>
</ul>
<ul>
<li>name of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s volumes (it will be extended to distinguish between different <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>s and different volumes of one <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>) <div class="fragment"><pre class="fragment"> ScintillatorName = <span class="stringliteral">&quot;scintillator&quot;</span>; 
</pre></div></li>
</ul>
<ul>
<li><a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s transformation (relative to the reference volume) <div class="fragment"><pre class="fragment"> ScintillatorTransformation = G4Transform3D(); 
</pre></div></li>
</ul>
<ul>
<li>pointer to the reference volume (physical volume relative to which the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> will be orientated) <div class="fragment"><pre class="fragment"> ScintillatorReferenceVolume_physical = 0; 
</pre></div></li>
</ul>
<ul>
<li>G4bool, if a dimple should be cut out out of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> <div class="fragment"><pre class="fragment"> ScintillatorCutDimple = <span class="keyword">false</span>; 
</pre></div></li>
</ul>
<ul>
<li>radius of the dimple <div class="fragment"><pre class="fragment"> ScintillatorDimpleRadius = NAN; 
</pre></div></li>
</ul>
<ul>
<li>position of the dimple's centre relative to the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s centre <div class="fragment"><pre class="fragment"> ScintillatorDimpleCentrePosition = G4ThreeVector(NAN, NAN, NAN); 
</pre></div></li>
</ul>
<ul>
<li>G4bool, if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> should be a twin tile <div class="fragment"><pre class="fragment"> ScintillatorTwinTile = <span class="keyword">false</span>; 
</pre></div></li>
</ul>
<ul>
<li>path to the file containing the the properties of the twin tile's reflective layer <div class="fragment"><pre class="fragment"> ScintillatorTwinTilePropertyFile = <span class="stringliteral">&quot;&quot;</span>; 
</pre></div></li>
</ul>
<ul>
<li>name of the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>'s volumes (it will be extended to distinguish between different <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>s and different volumes of one <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>) <div class="fragment"><pre class="fragment"> WrappingName = <span class="stringliteral">&quot;wrapping&quot;</span> 
</pre></div></li>
</ul>
<ul>
<li>G4bool, if the volumes (that should be cut out of the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>) have been set <div class="fragment"><pre class="fragment"> WrappingCutVolumesSet = <span class="keyword">false</span>; 
</pre></div></li>
</ul>
<ul>
<li>volumes that should be cut out of the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> <div class="fragment"><pre class="fragment"> <span class="keywordflow">if</span>(WrappingCutVolumes.size() == 0) WrappingCutVolumes = std::vector&lt;G4VPhysicalVolume *&gt;();
 <span class="keywordflow">else</span> WrappingCutVolumes.clear(); 
</pre></div> </li>
</ul>
</p>

</div>
</div>
<a class="anchor" id="af375d56ba9e8bda028ddef15f102ab16"></a><!-- doxytag: member="ScintillatorTileConstructor::SetOpticalSurfaceProperties" ref="af375d56ba9e8bda028ddef15f102ab16" args="(G4OpticalSurfaceModel surface_model, G4OpticalSurfaceFinish surface_finish)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileConstructor::SetOpticalSurfaceProperties </td>
          <td>(</td>
          <td class="paramtype">G4OpticalSurfaceModel&nbsp;</td>
          <td class="paramname"> <em>surface_model</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4OpticalSurfaceFinish&nbsp;</td>
          <td class="paramname"> <em>surface_finish</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the optical surface properties of <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>.</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="a76dcc80267c1cb201e6e24afc5e76153"></a><!-- doxytag: member="ScintillatorTileConstructor::SetScintillatorCutDimple" ref="a76dcc80267c1cb201e6e24afc5e76153" args="(G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileConstructor::SetScintillatorCutDimple </td>
          <td>(</td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>dimple_radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>dimple_centre_relative_to_scintillator_centre</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the dimple's radius and centre position.<br/>
 A sphere with this specifications will be cut out of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>.</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="ade639f8d50c190449a7b3c1726e35d6e"></a><!-- doxytag: member="ScintillatorTileConstructor::SetScintillatorName" ref="ade639f8d50c190449a7b3c1726e35d6e" args="(G4String scintillator_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileConstructor::SetScintillatorName </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the name of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s volumes (it will be extended to distinguish between different <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>s and different volumes of one <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>).</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="aed8cc75bd60e91bb4faee5a43d85e0d6"></a><!-- doxytag: member="ScintillatorTileConstructor::SetScintillatorReferenceVolume" ref="aed8cc75bd60e91bb4faee5a43d85e0d6" args="(G4VPhysicalVolume *reference_volume)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileConstructor::SetScintillatorReferenceVolume </td>
          <td>(</td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>reference_volume</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the reference volume relative to which the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> will be orientated.</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="a4000601225db31fb5bf071a61211446f"></a><!-- doxytag: member="ScintillatorTileConstructor::SetScintillatorTransformation" ref="a4000601225db31fb5bf071a61211446f" args="(G4Transform3D transf_relative_to_reference)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileConstructor::SetScintillatorTransformation </td>
          <td>(</td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>transf_relative_to_reference</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s transformation relative to the reference volume.</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="a10676b29d567b23520c51d848e343802"></a><!-- doxytag: member="ScintillatorTileConstructor::SetScintillatorTwinTile" ref="a10676b29d567b23520c51d848e343802" args="(G4String twin_tile_property_file)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileConstructor::SetScintillatorTwinTile </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>twin_tile_property_file</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the path to the file containing the properties of the twin tile's reflective layer.<br/>
 If this function is used, the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> will be split into two volumes with a reflective layer between them.</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="aea72492753d26758d80f5a44e2887707"></a><!-- doxytag: member="ScintillatorTileConstructor::SetWrappingCutVolumes" ref="aea72492753d26758d80f5a44e2887707" args="(std::vector&lt; G4VPhysicalVolume * &gt; cut_volumes)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileConstructor::SetWrappingCutVolumes </td>
          <td>(</td>
          <td class="paramtype">std::vector&lt; G4VPhysicalVolume * &gt;&nbsp;</td>
          <td class="paramname"> <em>cut_volumes</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to specify which volumes should be cut out of the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>.<br/>
 If this function is <b> not </b> used, all volumes that have been placed before (exept the world volume) will be cut out.</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
<a class="anchor" id="aef91b140feed9a219fa95157b95d176c"></a><!-- doxytag: member="ScintillatorTileConstructor::SetWrappingName" ref="aef91b140feed9a219fa95157b95d176c" args="(G4String wrapping_name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void ScintillatorTileConstructor::SetWrappingName </td>
          <td>(</td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>wrapping_name</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to set the name of the <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>'s volumes (it will be extended to distinguish between different <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>s and different volumes of one <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a>).</p>
<p><b> The value set by this function will only apply to the very next <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> or <a class="el" href="classG4Wrapping.html" title="a class generating the materials, volumes, and optical properties needed for a wrapping...">G4Wrapping</a> object that is created! </b> </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 3 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
